package Memorija;

import biblioteka.Knjiga;
import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;



public class Memorija1 {
    
    public void izveziPodatke(String nazivFajla, List <Knjiga>L) throws IOException{        
        File f = new File(nazivFajla);
        FileWriter fw = new FileWriter(f);
        PrintWriter pw = new PrintWriter(fw);
        
        Iterator <Knjiga>it = L.iterator();
        Knjiga temp=null;
        while(it.hasNext()){
            temp = it.next();
            pw.println(temp.getAutor()+"#"+temp.getNazivknjige()+"#"+temp.getBrojStrana()+"#"+temp.getGodinaIzdanja());
        }      
        pw.close();fw.close();        
    }
    public List <Knjiga> uveziPodatke(String nazivFajla) throws FileNotFoundException, IOException{
        List <Knjiga> L = new ArrayList<>();
        FileInputStream fis = new FileInputStream(nazivFajla);
        BufferedInputStream bis = new BufferedInputStream(fis);
        DataInputStream dis = new DataInputStream(bis);
        
        String niz[];
        while(dis.available()!=0){
            niz = dis.readLine().split("#");
            L.add(new Knjiga(niz[1], niz[0], niz[2], Integer.parseInt(niz[3])));
        }
        dis.close();bis.close();fis.close();       
        return L;
    }
    
}
